%define major_version 2.1
%define minor_version 0.3
%define release 1%{?dist}

Name: redhat-storage-server
Summary: Red Hat Storage Server
Version: %{major_version}.%{minor_version}
Release: %{release}
License: GPLv3+
Group: Applications/System
URL: http://www.redhat.com
Vendor: Red Hat, Inc.
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz
Source1: gtop-1.0.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig
Requires(postun): /sbin/service
Obsoletes: appliance-base
Requires: ctdb, samba-client
Requires: iperf, ldb-tools, ntp, rsync, samba, tdb-tools, tuned, qemu-kvm-tools, dstat, screen, nmap, valgrind
Requires: iscsi-initiator-utils
Requires: xfsprogs, xfsdump
Requires: abrt
Requires: glusterfs >= 3.4.0, glusterfs-fuse, glusterfs-server, glusterfs-geo-replication
Requires: gluster-swift, gluster-swift-plugin
Requires: samba-glusterfs
Requires: vdsm-gluster, vdsm-reg
Requires: redhat-storage-logos

%description
Tools for Red Hat Storage Server

%prep
%setup -q
%setup -a 1

%build
./configure --program-prefix=  --prefix=/ --datadir=/usr/share/redhat-storage-server --localstatedir=/var --mandir=/usr/share/man --infodir=/usr/share/info
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
cp -r gtop-1.0 %{buildroot}/usr/lib/glusterfs/.unsupported
mkdir -p %{buildroot}/etc/modprobe.d
echo 'options megaraid_sas max_sectors=2048' > %{buildroot}/etc/modprobe.d/megaraid_sas.conf

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
/etc/init.d/gluster-system-settings
/etc/profile.d/gluster-env.sh
/etc/tune-profiles/rhs-high-throughput/ktune.sh
/etc/tune-profiles/rhs-high-throughput/ktune.sysconfig
/etc/tune-profiles/rhs-high-throughput/sysctl.ktune
/etc/tune-profiles/rhs-high-throughput/tuned.conf
/etc/tune-profiles/rhs-virtualization/ktune.sh
/etc/tune-profiles/rhs-virtualization/ktune.sysconfig
/etc/tune-profiles/rhs-virtualization/sysctl.ktune
/etc/tune-profiles/rhs-virtualization/tuned.conf
/etc/modprobe.d/megaraid_sas.conf
/etc/modprobe.d/ipv6.conf
/etc/redhat-storage-release
/usr/lib/glusterfs/.unsupported/

%post
chkconfig gluster-system-settings on
chkconfig iscsi off
chkconfig iscsid off
chkconfig tuned on
chkconfig ntpd on
chkconfig ip6tables off

sed -i -e 's/\(^SELINUX=\).*$/\1disabled/' /etc/selinux/config
sed -i -e 's/Red Hat Storage.* release .*/Red Hat Storage Server release %{major_version}/' /etc/issue /etc/issue.net
# bz 829657
sed -i -e 's/^#DumpLocation/DumpLocation/g' /etc/abrt/abrt.conf

%changelog
* Fri Aug 28 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.0.3-1
- updated unsupported rhs-system-init.sh for RHS 2.1

* Fri Aug 28 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.0.2-1
- populate bricklist with path set in brick file for tuned profiles
- resolves bz#1001040

* Fri Aug 23 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.0.1-1
- resolves bz#829657
- resolves bz#986516
- added unsupported gtop and rhs-system-init.sh
- resolves bz#996352

* Tue Aug 13 2013 Anthony Towns <atowns@redhat.com> - 2.1.0-3
- require tuned, Resolves: bz#989975, bz#920463
- require ntp and start ntpd on boot, Resolves: bz#920450
- require miscellaneous other packages to bring deps closer into line
  with comps groups, Resolves: bz#994889
- version dependency on glusterfs

* Wed Jul 24 2013 Anthony Towns <atowns@redhat.com> - 2.1.0-1
- bump version to match Red Hat Storage version
- add /etc/redhat-storage-release file
- ensure /etc/issue is accurate on upgrades
- disable ipv6, selinux
- set configuration for iscsi, tuned, ip6tables

* Mon Jul 15 2013 Anthony Towns <atowns@redhat.com> - 1.7.3-2
- renamed from appliance/appliance-base to redhat-storage-server
- require glusterfs and other expected RHS packages

* Wed Jun 19 2013 Balamurugan Arumugam <barumuga@redhat.com> - 1.7.3-1
- fixes https://bugzilla.redhat.com/show_bug.cgi?id=910566

* Mon May 20 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.2-1
- Change the version from 1.7.1 to 1.7.2

* Wed May 15 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.1-3
- Updated to 1.7.1-3

* Wed May 15 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.1-2
- fix bug in both rhs-high-throughput and rhs-virtualization
- fix bug in both profiles
- handles case where XFS file system is in a raw SCSI device partition

* Wed Mar 20 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.1-1
- changed the version from 1.7 to 1.7.1

* Tue Mar 19 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7-8
- tuned: get readahead right devices those are bricks

* Mon Feb 18 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7-7
- tuned: add rhs-virtualization profile
- fix tuning parameters
- remove unused .in files

* Thu Jun 21 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-6
- multipath support bug fix in high-throughput profile

* Tue Jun 19 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-5
- Added multipath support in high-throughput profile

* Thu Jun 14 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-4
- Remove aliasing for mkfs.xfs

* Tue May 29 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-3
- Include megaraid module configuration (rhbz#806405)

* Wed May 23 2012 Anthony Towns <atowns@redhat.com> - 1.7-2
- Include megaraid module configuration (rhbz#806405)

* Tue Apr 24 2012 Anthony Towns <atowns@redhat.com> - 1.7-1
- Update for Red Hat Storage 2.0
- Include tuned profile

* Tue Nov 15 2011 Dennis Gregorovic <dgregor@redhat.com> - 1.6-2
- Rebuild for Red Hat Storage Software Appliance 3.2

* Tue Jan 11 2011  <harsha@gluster.com> - ami-tools
- Initial build.

